Subject: Re: cygwin 1.3.6 + bash 2.05a-2 + command completion
From: "Robert Collins" <[email-masked]>
To: "Yllman, Jens" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 5 Dec 2001 23:49:25 +1100

FWIW I think that cygwin is dying, not bash.

However, as I haven't looked at the code....

Rob
===
----- Original Message -----
From: "Yllman, Jens" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, December 05, 2001 11:39 PM
Subject: Re: cygwin 1.3.6 + bash 2.05a-2 + command completion

> Hi,
>
>  The ChangeLog reports the following.
>
> 2001-11-24  Christopher Faylor  <[email-masked]>
>
> * fhandler_disk_file.cc (fhandler_cygdrive::readdir): Avoid reporting
> inaccessible drives.
>
>  Maybe bash expect to get something like invalid drive or something.
> I've not checked bash. And I've not traced anything. Just this quick
> look at the ChangeLog.
>
>  There is also other notes about fhandler_disk_file.cc in the
ChangeLog.
>
> * fhandler_disk_file.cc (fhandler_disk_file::opendir): Set nohandle
> flag on dummy fd.
>
>  I don't know if anybody can look into it. I don't have any more time.
>
>  About the reason for me testing with sh also and not only bash was to
> see that it realy is bash handling of tab that crashes and not the
stty
> settings or something like that.
>
>  Jens Yllman
>
> Robert Collins wrote:
> >
> > ===
> > ----- Original Message -----
> > From: "Yllman, Jens" <[email-masked]>
> > > Hi,
> > >
> > >  Yes, I have a /cygdrive/x in my path that is not always maped.
When I
> > > map it it works fine.
> >
> > Ok, in my mind that conforms the way to reproduce. I don't have time
at
> > the moment (sigh, I wish I did, I really do) to debug this myself
> > though.
> >
> > Rob
>
> --
> ------------------------------------------------------------
> Uniweb AB                            Phone:  +46 8 626 42 00
> P O Box 745                          FAX:    +46 8 626 42 01
> S-191 27  SOLLENTUNA
> SWEDEN                               http://www.uniweb.se/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/